using FluentValidation;

namespace Indotalent.Features.Purchase.GoodsReceive.Cqrs;

public class UpdateGoodsReceiveValidator : AbstractValidator<UpdateGoodsReceiveRequest>
{
    public UpdateGoodsReceiveValidator()
    {
        RuleFor(x => x.Id).NotEmpty();
        RuleFor(x => x.PurchaseOrderId).NotEmpty().WithMessage("Purchase Order is required");
    }
}